Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se
Solucionado (ver solução)
Solucionado
(ver solução)
2
respostas

como resolver o erro de incompatibilidade do plugin dagger

Seguindo o que foi dito na aula, adicionei um plugin no Gradle escrevendo as seguintes linhas:

-> apply plugin: 'com.neenbedankt.android-apt'

-> annotationProcessor 'com.google.dagger:dagger-compiler:2.5' -> implementation 'com.google.dagger:dagger:2.5'

isso no "build.gradle (Module: app)".

No "build.gradle (Project: Chat)" adicionei a seguinte linha :

-> classpath 'com.neenbedankt.gradle.plugins:android-apt:1.8'

e ao clicar em "Sync Now", fui surpreendido com o seguinte erro:

-> android-apt plugin is incompatible with the Android Gradle plugin. Please use 'annotationProcessor' configuration instead.

Como posso resolver esse erro?

2 respostas
solução!

Olá Murilo,

Acredito que hoje em dia não seja mais necessário adicionar o plugin android-apt. Tenta remover as seguintes linhas:

apply plugin: 'com.neenbedankt.android-apt'

E também a que fica no outro build.gradle:

classpath 'com.neenbedankt.gradle.plugins:android-apt:1.8'

Muito obrigado professor ! Ajudou bastante.

Quer mergulhar em tecnologia e aprendizagem?

Receba a newsletter que o nosso CEO escreve pessoalmente, com insights do mercado de trabalho, ciência e desenvolvimento de software